API7 Docs
API7 GatewayAPI7 Enterprise Admin APIsGet resource names

Get resource names

POST /api/resource_names

POST /api/resource_names

Interactive request editor loads with JavaScript.

Authorization

X-API-KEY<token>

In: header

Request Body

application/json

Response Body

application/json

curl -X POST "$API_BASE_URL/api/resource_names" \  -H "Content-Type: application/json" \  -d '{    "resource_type": "gateway_group",    "ids": [      "string"    ]  }'

Successfully resolved the resource IDs to their display names.

{
  "value": {
    "b5f57bda-b52b-41f6-9a30-a4c6442a3a74": "gateway-group-1",
    "f6ef6104-32a3-4382-a4b8-07cc17c466d8": "gateway-group-2"
  }
}
Complete operation details and schema variants

POST /api/resource_names

Get resource names

Query resource names by conditions in the request payload to support selectors, autocomplete, or dependency checks in UI workflows.

Parameters

Request body

Content type: application/json

  • oneOf variant 1: Gateway Groups / Contact Points
  • resource_type (string, required): Resource type.
  • ids (array, required): An array of resource IDs.
  • oneOf variant 2: Resources in a Gateway Group
  • resource_type (string, required): Resource type.
  • ids (array, required): An array of resource IDs.
  • gateway_group_id (string, required): The gateway group ID.

Responses

  • 200: Successfully resolved the resource IDs to their display names.
  • allOf variant 1
  • value (object, optional): The specific resource.
  • allOf variant 2
  • value (object, optional):
  • 400: Invalid arguments. Error details will be provided in the response.

cURL

curl -X POST '$API_BASE_URL/api/resource_names'